Allow tracker only for Subtask

2012-05-15 13:01 - Kamil .

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would be great if Redmine allows for creating new Tracker only when it is a Subtask (ideally when this Subtask's Parent is a

particular Tracker).

This would allow for creating Tracker's hierarchy: for example - I have a Tracker "Activity", which consist of several steps that have to

be done in order to complete "Activity". Let's call them "Step 1" and "Step 2". Then "Step 1" and "Step 2" cannot be created as

top-level task (Tracker) and cannot be assigned to Top-level tracker other than "Activity". We obtain:

Issue Tracker: "Activity"; Status: "New"; Subject: "Some important activity"

Issue Tracker: "Step 1"; Status: "In Progress"; Subject: "Very important step"

Issue Tracker: "Step 1"; Status: "New"; Subject: "Another important step"

Kind regards

Related issues:

Related to Redmine - Feature #3521: Permissions for roles to change fields pe... Closed 2009-06-22

History

#1 - 2013-05-13 11:48 - Ivan Yiu

I need this feature too. Management want to identify what kind of tracker is consider as "major" and other for "minor"

#2 - 2014-03-06 19:50 - Domingo Galdos

Make Parent Task a required field on the child trackers and you can achieve a lot of what you want already (although not tying certain "child trackers"

to other "parent trackers"), may be good enough for your projects

#3 - 2014-09-26 13:05 - Ronny Kiessling

+1

#4 - 2018-01-04 13:25 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

As Domingo Galdos wrote in #10922#note-2, you can get it by setting "Parent task" field of the tracker to "Required" on "Fields permissions" tab in

"Workflow" page.

#5 - 2018-01-04 13:26 - Go MAEDA

- Related to Feature #3521: Permissions for roles to change fields per tracker/status added
